syntax = "proto3";
package device;

import "context.proto";

service DeviceService {
  rpc AddDevice(context.Device) returns (context.DeviceId) {}
  rpc ConfigureDevice(context.Device) returns (context.DeviceId) {}
  rpc DeleteDevice(context.DeviceId) returns (context.Empty) {}
}
